package com.capgemini.reports.common.scheduling.view;

import com.capgemini.framework.common.StringHelper;
import com.capgemini.reports.database.javabean.enumeration.SchedulingEnum;
import com.hp.gagawa.java.elements.Div;

/** This formatter page can display an empty scheduling data page. It is used in the 'new scheduling' page. */
public class NewSchedulingFormatter extends SchedulingFormatter {


    /**
     * Builds the html content that will show the page, in html.
     * 
     * @return the page contents (html)
     */
    public String showNewReportSchedulingPage() {
        // Parent
        Div parent = new Div();
        parent.setId("div_temporal");

        // scheduling name
        Div containerSchedulingName = getSchedulingName(StringHelper.EMPTY);
        parent.appendChild(containerSchedulingName);

        // period
        Div containerPeriod = getPeriod(SchedulingEnum.DAILY, null).setId("div_container_period").setCSSClass(SUB_TITLE_PLANIFICATION);
        parent.appendChild(containerPeriod);

        Div containerSubPeriod = new Div();
        containerSubPeriod.setId("div_container_subPeriod").setStyle(MARGIN_TOP_10PX).setCSSClass(SUB_TITLE_SUB_PERIOD);
        parent.appendChild(containerSubPeriod);

        return parent.write();
    }


}
